Bug 474211 - Makefile.am fixes
Makefile.am fixes
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 15:02 EST by paolo borelli
Modified: 2010-03-16 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 07:57:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.09 KB, patch)
2008-12-02 15:02 EST, paolo borelli
no flags Details | Diff

  None (edit)
Description paolo borelli 2008-12-02 15:02:32 EST
Created attachment 325416 [details]
patch

when trying to build libvirt from cvs, I got the following build
failure. The patch attached fixes it, I am not sure what
libvirtd_DEPENDENCIES = $(libvirtd_LDADD) was trying to accomplish, but
it looks wrong to me.



gcc -DHAVE_CONFIG_H -I. -I..    -I../gnulib/lib -I../gnulib/lib
-I../include -I../include -I../src -I/opt/gnome/include/libxml2
 -I/opt/gnome/include/PolicyKit -I/opt/gnome/include/dbus-1.0
-I/opt/gnome/lib/dbus-1.0/include   -Wall -Wformat -Wformat-security
-Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wextra -Wshadow
-Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes
-Winline -Wredundant-decls -Wno-sign-compare -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fasynchronous-unwind-tables
-DLOCAL_STATE_DIR="\"/opt/gnome/var\""  -DSYSCONF_DIR="\"/opt/gnome/etc
\"" -DQEMUD_PID_FILE="\"\""
-DREMOTE_PID_FILE="\"/opt/gnome/var/run/libvirtd.pid\""
-DGETTEXT_PACKAGE=\"libvirt\" -D_REENTRANT   -g -O2 -MT libvirtd-mdns.o
-MD -MP -MF .deps/libvirtd-mdns.Tpo -c -o libvirtd-mdns.o `test -f
'mdns.c' || echo './'`mdns.c
make[2]: *** No rule to make target `-L/opt/gnome/lib', needed by
`libvirtd'.  Stop.
make[2]: *** Waiting for unfinished jobs....
mv -f .deps/libvirtd-mdns.Tpo .deps/libvirtd-mdns.Po
mv -f .deps/libvirtd-remote.Tpo .deps/libvirtd-remote.Po
make[2]: Leaving directory `/home/paolo/svn/gnome/libvirt/qemud'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/paolo/svn/gnome/libvirt'
make: *** [all] Error 2
Comment 1 Daniel Berrange 2009-01-22 07:57:14 EST
This patch is now incorporated in upstream codebase and 0.5.1 release

Note You need to log in before you can comment on or make changes to this bug.